This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 623239 - Keyboard stops working after disabling touch-pad
Keyboard stops working after disabling touch-pad
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 12:49 EDT by ronak.vashi
Modified: 2013-01-10 01:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
force touchpad button release (1.89 KB, patch)
2010-11-01 13:09 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description ronak.vashi 2010-08-11 12:49:10 EDT
Description of problem:
Summary:
   Laptop keyboard doesn't work after locking touch-pad using given hardware lock key.

Details:
   I am using HP laptop, configuration details are given in "Additional info", running Fedora 13 x86_64. 
   While using Eclipse IDE or any other text editor program such as gvim to disable mouse pointer movement while typing, I disabled touch-pad using hardware key given, but after pressing the touch-pad lock key cursor on Eclipse IDE disappears and keyboard doesn't work and typing is not possible.
   Also, even if mouse works after enabling touch-pad, menu system doesn't work i.e. clicking on "Application" menu sub-menu doesn't appear and it is not possible to restart the system using mouse.
   Fortunately only following key combinations are found to be working:
    1. Ctrl + Alt + Del : through which it is possible to restart the system.
    2. Ctrl + Alt + F2, Ctrl + Alt + F3, Ctrl + Alt + F4, Ctrl + Alt + F5, Ctrl + Alt + F6
	When above key combination is pressed, then keyboard is found to be working on console.

   After restarting the system keyboard works fine.
   Tried switching to different - older version of kernel but same issue.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Open any text editor or shell such as gnome-shell.
2. Disable touch-pad by pressing touch-pad lock key.
3. Try to write using laptop in-built keyboard.
  
Actual results:


Expected results:


Additional info:
Laptop Details:

Model : HP Pavillion dv6t 1100 CTO
Processor : Intel Core 2 Duo T6400 2.0 GHz
Memory : 4 GB
Operating System : Fedora 13 x86_64 using GNOME 2.30.0 (All Updates installed)
Kernel : Linux 2.6.33.6-147.2.4.fc13.x86_64
Comment 1 Bastien Nocera 2010-11-01 13:09:16 EDT
Created attachment 456933 [details]
force touchpad button release

Broken hardware that doesn't send a key release when pressing the touchpad on/off button.
Comment 2 Bastien Nocera 2010-11-01 13:17:41 EDT
This won't fix _all_ the problems with the buttons on those laptops, but will certainly help not losing the keyboard as well.

See bug 600650 for the rest of the fun.
Comment 3 Bug Zapper 2011-06-01 07:40:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 10:43:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.